package cn.wisenergy.web.admin.controller.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.service.app.TradeRecordService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author 86187
 * @ Description: 月度奖励
 * @ Author     : 86187
 * @ Date       : 2021/3/9 11:04
 */
@Api(tags = "月度奖励接口")
@RestController
@RequestMapping("/award")
@Slf4j
public class TradeRecordController {
    @Autowired
    private TradeRecordService tradeRecordService;

    @ApiOperation(value = "本月累计奖金", notes = "本月累计奖金", httpMethod = "GET")
    @GetMapping("/queryMonthAward")
    public R<Double> queryMonthAward() {
        log.info("shop-mall[]TradeRecordController[]queryMonthAward[]input.method");
        return tradeRecordService.queryMonthAward();
    }
}
